﻿/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/2016 - ATMEL STUDIO 7

This program demonstrates how Atmel Studio 7 can be used to program the Brainbox Arduino - based on the ARduino Leonardo
Look at the manual on www.E2CRE8.be on how to set up STUDIO7 and AVRDUDE to program the Hardware of the BBA

THis program generates a siren sound at pin E6 (pin 7) - this pin is connected to a buzzer on the BBA

These programs are used in school environments and the C code is kept low level for that reason

 */
#include <Arduino.h>		// by including this lib - the usage of most ARduino libraries is made possible - not necessary if you are not using any arduino instructions
#include <avr/io.h>			// This lib is needed for the C compiler to know the correct addresses for registers like DDRB, PORTB, ...
#include <util/delay.h>		// This lib is needed to calculate the correct delays for "_delay_ms(10);" 
//- the clockspeed of the ARduino Leonardo is automatically set when opening an Arduino project under STUDIO 7


int main (void)			// main program
{
  
  DDRE = 0b01000000; // pin E6  (ARduino pin 7) connected to buzzer = output pin

  
    while(1)				// while(1) is an ever lasting loop
		{
		for (int x = 250; x>0; x=x-1) // repeat the next 4 instructions 250 times (250 x 2msec = 0.5sec)
			{
			PORTE = 0b01000000;			// make pin E6 high
			_delay_ms(1);				//wait
			PORTE = 0b00000000;			// make pin E6 low
			_delay_ms(1);				//wait
			}
			
		for (int x = 500; x>0; x=x-1) // repeat the next 4 instructions 500 times (2500 x 1msec = 0.5sec)
			{
				PORTE = 0b01000000;			// make pin E6 high
				_delay_us(500);				//wait
				PORTE = 0b00000000;			// make pin E6 low
				_delay_us(500);				//wait
			}
		    
		}
}
